
Redmine - Defect #16261

tasks by email

2014-03-06 20:34 - Alexander Bortsov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.0

Description

im using postfix. in /etc/aliases i have:

shmel: "|/home/rdm-mailhandler.rb --url http://mydomain --key XXXX --project shmel --tracker new_b

ill_acc --allow-override tracker,priority --unknown-user accept --default-group shmel" 

 when i send mail to this mailbox, in postfix log^

Mar  6 23:28:25 rt postfix/local[4362]: 899223853E: to=<shmel@mydomain>, relay=local, delay=517, d

elays=517/0.52/0/0.13, dsn=4.3.0, status=deferred (temporary failure. Command output: Failed to co

ntact your Redmine server (500). )

 in redmine log:

Started POST "/mail_handler" for 91.229.100.67 at Thu Mar 06 22:19:48 +0300 2014

Processing by MailHandlerController#index as HTML

  Parameters: {"no_notification"=>"", "key"=>"XXXX", "email"=>"From ab@mydomain  Thu Mar  6 23:19:

48 2014\nReturn-Path: <ab@mydomain>\nX-Original-To: shmel@mydomain\nDelivered-To: shmel@mydomain\n

Received: from localhost (unknown [10.1.77.2])\n\tby mydomain (Postfix) with ESMTP id 899223853E\n

\tfor <shmel@mydomain>; Thu,  6 Mar 2014 23:19:48 +0400 (MSK)\nFrom: ab@mydomain\nTo: shmel@mydoma

in\nReply-To: ab@mydomain\nSubject: shmel connect\nDate: Thu, 06 Mar 2014 23:19:48 +0400\nMIME-Ver

sion: 1.0\nContent-type: text/plain; charset=utf-8\nContent-transfer-encoding: 16bit\nX-Mailer: Sc

ript mailer\n\n1\n", "allow_override"=>"tracker,priority", "default_group"=>"shmel", "no_permissio

n_check"=>"", "no_account_notice"=>"", "issue"=>{"tracker"=>"new_bill_acc", "project"=>"shmel"}, "

unknown_user"=>"accept"}

Completed 500 Internal Server Error in 29.5ms

NoMethodError (undefined method `decode' for nil:NilClass):

  app/models/mail_handler.rb:46:in `receive'

  app/controllers/mail_handler_controller.rb:25:in `index'

 my software:

root@pm redmine]# ruby script/about

sh: svn: command not found

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.8.7-p357 (2011-12-28) [i686-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               MySQL

SCM:

  Git                            1.7.10

  Filesystem

Redmine plugins:

  no plugin installed
Related issues:

Is duplicate of Redmine - Defect #16122: redmine:email:receive should not abo... New

History

#1 - 2014-03-14 13:38 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Content-transfer-encoding: 16bit

 It is strange.

Is your mail valid?

1.8.7-p357 (2011-12-28) [i686-linux]

 Your Ruby version is too old.

#2 - 2014-03-14 14:11 - Alexander Bortsov

yes, mail valid.

i remove "Content transfer encoding" and the error is not repeated.

it was in my old portla php function, with this param.

#3 - 2014-03-14 14:30 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Thank you for your feedback.

#4 - 2014-03-14 14:30 - Toshi MARUYAMA

- Is duplicate of Defect #16122: redmine:email:receive should not abort with buggy mail added
